<?php

// gets the data from a URL
function get_data($url)
{
    $ch = curl_init();
    $timeout = 5;
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
}

//The Usage
$strOutFile = 'verypdf.jpg';
$strURL = 'http://online.verypdf.com/api/?apikey=XXXX-XXXX-XXXX-XXXX&app=html2image&infile=http://www.verypdf.com&outfile=' . $strOutFile;
ExecuteCloudAPI($strURL, $strOutFile);

$strOutFile = 'verypdf.pdf';
$strURL = 'http://online.verypdf.com/api/?apikey=XXXX-XXXX-XXXX-XXXX&app=html2pdf&infile=http://www.verypdf.com&outfile=' . $strOutFile;
ExecuteCloudAPI($strURL, $strOutFile);
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
function ExecuteCloudAPI($strURL, $strOutFile)
{
		echo $strURL."\n";
		$strReturn = get_data($strURL);
		$strReturn = str_replace('[Output]', '', $strReturn);
		$strReturn = str_replace('<br>', '', $strReturn);
		$strReturn = str_replace(' ', '', $strReturn);
		$strLocalFile = dirname(__FILE__) . '/' . $strOutFile;
		DownloadFile($strReturn, $strLocalFile);
		echo $strLocalFile."\n";
}

function DownloadFile($url, $path)
{
		$newfname = $path;
		$file = fopen ($url, "rb");
		if (!$file) 
				return false;
		$newf = fopen ($newfname, "wb");
		if (!$newf)
				return false;
		while(!feof($file)) 
		{
				fwrite($newf, fread($file, 1024 * 8 ));
		}
		fclose($newf);
		fclose($file);
		return true;
}


?>
